curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_yBQQNKmjRBTqF \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"micro_deposits": {
"amounts": [10, 34]
}
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.update('avf_yBQQNKmjRBTqF', {
micro_deposits: {
amounts: [10, 34]
}
});
response = method
.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.update('avf_yBQQNKmjRBTqF', {
'micro_deposits': {
'amounts': [10, 34]
}
})
{
"id": "avf_yBQQNKmjRBTqF",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": [
10,
34
]
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
ACH Verification
Update a Micro-deposits Verification
PUT
/
accounts
/
{acc_id}
/
verification_sessions
/
{avf_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_yBQQNKmjRBTqF \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"micro_deposits": {
"amounts": [10, 34]
}
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.update('avf_yBQQNKmjRBTqF', {
micro_deposits: {
amounts: [10, 34]
}
});
response = method
.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.update('avf_yBQQNKmjRBTqF', {
'micro_deposits': {
'amounts': [10, 34]
}
})
{
"id": "avf_yBQQNKmjRBTqF",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": [
10,
34
]
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Updates an existing AccountVerificationSession object of type
micro_deposits.
Amounts should be attempted once the AccountVerificationSession status
is
in_progress, indicating that the micro-deposit transactions
have been sent.Path Parameters
Body
When verifying an ACH account in the development environment,
you can use the Retrieve Micro-deposit Amounts simulation
endpoint to get the
micro_deposits.amounts.Returns
Returns an AccountVerificationSession object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_yBQQNKmjRBTqF \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"micro_deposits": {
"amounts": [10, 34]
}
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.verificationSessions
.update('avf_yBQQNKmjRBTqF', {
micro_deposits: {
amounts: [10, 34]
}
});
response = method
.accounts('acc_yVf3mkzbhz9tj')
.verification_sessions
.update('avf_yBQQNKmjRBTqF', {
'micro_deposits': {
'amounts': [10, 34]
}
})
{
"id": "avf_yBQQNKmjRBTqF",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "micro_deposits",
"micro_deposits": {
"amounts": [
10,
34
]
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}